Content-Type: text/html; charset=UTF-8
Last-Modified: Wed, 11 Dec 2024 15:25:44 GMT
Expires: Sat, 09 Dec 2034 15:25:44 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>ranger - mirror of ranger - a simple, vim-like file manager</title>
<meta name='generator' content='cgit 1.4.1-2-gfad0'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='alternate' title='Atom feed' href='https://git.tilde.institute/akspecs/ranger/atom/ranger/colorschemes?h=master' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.tilde.institute/akspecs/ranger' title='ranger Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='main'><a href='/'>index</a> : <a href='/akspecs/ranger/'>ranger</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='607d3569612a0dd518ab2e410bd17d2b296fe027'/><select name='h' onchange='this.form.submit();'>
<option value='7e2d1613c9c52b7c2090eb3db49c65a8ec42c219'>this commit</option>
<optgroup label='branches'><option value='master' selected='selected'>master</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>mirror of ranger - a simple, vim-like file manager</td><td class='sub right'>akspecs &lt;akspecs@tilde.institute&gt;</td></tr></table>
<table class='tabs'><tr><td>
<a href='/akspecs/ranger/about/'>about</a> <a href='/akspecs/ranger/'>summary</a> <a href='/akspecs/ranger/refs/?id=607d3569612a0dd518ab2e410bd17d2b296fe027'>refs</a> <a href='/akspecs/ranger/log/ranger/colorschemes'>log</a> <a href='/akspecs/ranger/tree/ranger/colorschemes?id=607d3569612a0dd518ab2e410bd17d2b296fe027'>tree</a> <a href='/akspecs/ranger/commit/ranger/colorschemes?id=607d3569612a0dd518ab2e410bd17d2b296fe027'>commit</a> <a class='active' href='/akspecs/ranger/diff/ranger/colorschemes?id=607d3569612a0dd518ab2e410bd17d2b296fe027'>diff</a> <a href='/akspecs/ranger/stats/ranger/colorschemes'>stats</a></td><td class='form'><form class='right' method='get' action='/akspecs/ranger/log/ranger/colorschemes'>
<input type='hidden' name='id' value='607d3569612a0dd518ab2e410bd17d2b296fe027'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/akspecs/ranger/diff/?id=607d3569612a0dd518ab2e410bd17d2b296fe027'>root</a>/<a href='/akspecs/ranger/diff/ranger?id=607d3569612a0dd518ab2e410bd17d2b296fe027'>ranger</a>/<a href='/akspecs/ranger/diff/ranger/colorschemes?id=607d3569612a0dd518ab2e410bd17d2b296fe027'>colorschemes</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='id' value='607d3569612a0dd518ab2e410bd17d2b296fe027'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><div class='diffstat-header'><a href='/akspecs/ranger/diff/?id=607d3569612a0dd518ab2e410bd17d2b296fe027'>Diffstat</a> (limited to 'ranger/colorschemes')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td><pre></pre></td></tr></table></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2024-12-11 15:25:44 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
<a id='n199' href='#n199'>199</a>
<a id='n200' href='#n200'>200</a>
<a id='n201' href='#n201'>201</a>
<a id='n202' href='#n202'>202</a>
<a id='n203' href='#n203'>203</a>
<a id='n204' href='#n204'>204</a>
<a id='n205' href='#n205'>205</a>
<a id='n206' href='#n206'>206</a>
<a id='n207' href='#n207'>207</a>
<a id='n208' href='#n208'>208</a>
<a id='n209' href='#n209'>209</a>
<a id='n210' href='#n210'>210</a>
<a id='n211' href='#n211'>211</a>
<a id='n212' href='#n212'>212</a>
<a id='n213' href='#n213'>213</a>
<a id='n214' href='#n214'>214</a>
<a id='n215' href='#n215'>215</a>
<a id='n216' href='#n216'>216</a>
<a id='n217' href='#n217'>217</a>
<a id='n218' href='#n218'>218</a>
<a id='n219' href='#n219'>219</a>
<a id='n220' href='#n220'>220</a>
<a id='n221' href='#n221'>221</a>
<a id='n222' href='#n222'>222</a>
<a id='n223' href='#n223'>223</a>
<a id='n224' href='#n224'>224</a>
<a id='n225' href='#n225'>225</a>
<a id='n226' href='#n226'>226</a>
<a id='n227' href='#n227'>227</a>
<a id='n228' href='#n228'>228</a>
<a id='n229' href='#n229'>229</a>
<a id='n230' href='#n230'>230</a>
<a id='n231' href='#n231'>231</a>
<a id='n232' href='#n232'>232</a>
<a id='n233' href='#n233'>233</a>
<a id='n234' href='#n234'>234</a>
<a id='n235' href='#n235'>235</a>
<a id='n236' href='#n236'>236</a>
<a id='n237' href='#n237'>237</a>
<a id='n238' href='#n238'>238</a>
<a id='n239' href='#n239'>239</a>
<a id='n240' href='#n240'>240</a>
<a id='n241' href='#n241'>241</a>
<a id='n242' href='#n242'>242</a>
<a id='n243' href='#n243'>243</a>
<a id='n244' href='#n244'>244</a>
<a id='n245' href='#n245'>245</a>
<a id='n246' href='#n246'>246</a>
<a id='n247' href='#n247'>247</a>
<a id='n248' href='#n248'>248</a>
<a id='n249' href='#n249'>249</a>
<a id='n250' href='#n250'>250</a>
<a id='n251' href='#n251'>251</a>
<a id='n252' href='#n252'>252</a>
<a id='n253' href='#n253'>253</a>
<a id='n254' href='#n254'>254</a>
<a id='n255' href='#n255'>255</a>
<a id='n256' href='#n256'>256</a>
<a id='n257' href='#n257'>257</a>
<a id='n258' href='#n258'>258</a>
<a id='n259' href='#n259'>259</a>
<a id='n260' href='#n260'>260</a>
<a id='n261' href='#n261'>261</a>
<a id='n262' href='#n262'>262</a>
<a id='n263' href='#n263'>263</a>
<a id='n264' href='#n264'>264</a>
<a id='n265' href='#n265'>265</a>
<a id='n266' href='#n266'>266</a>
<a id='n267' href='#n267'>267</a>
<a id='n268' href='#n268'>268</a>
<a id='n269' href='#n269'>269</a>
<a id='n270' href='#n270'>270</a>
<a id='n271' href='#n271'>271</a>
<a id='n272' href='#n272'>272</a>
<a id='n273' href='#n273'>273</a>
<a id='n274' href='#n274'>274</a>
<a id='n275' href='#n275'>275</a>
<a id='n276' href='#n276'>276</a>
<a id='n277' href='#n277'>277</a>
<a id='n278' href='#n278'>278</a>
<a id='n279' href='#n279'>279</a>
<a id='n280' href='#n280'>280</a>
<a id='n281' href='#n281'>281</a>
<a id='n282' href='#n282'>282</a>
<a id='n283' href='#n283'>283</a>
<a id='n284' href='#n284'>284</a>
<a id='n285' href='#n285'>285</a>
<a id='n286' href='#n286'>286</a>
<a id='n287' href='#n287'>287</a>
<a id='n288' href='#n288'>288</a>
<a id='n289' href='#n289'>289</a>
<a id='n290' href='#n290'>290</a>
<a id='n291' href='#n291'>291</a>
<a id='n292' href='#n292'>292</a>
<a id='n293' href='#n293'>293</a>
<a id='n294' href='#n294'>294</a>
<a id='n295' href='#n295'>295</a>
<a id='n296' href='#n296'>296</a>
<a id='n297' href='#n297'>297</a>
<a id='n298' href='#n298'>298</a>
<a id='n299' href='#n299'>299</a>
<a id='n300' href='#n300'>300</a>
<a id='n301' href='#n301'>301</a>
<a id='n302' href='#n302'>302</a>
<a id='n303' href='#n303'>303</a>
<a id='n304' href='#n304'>304</a>
<a id='n305' href='#n305'>305</a>
<a id='n306' href='#n306'>306</a>
<a id='n307' href='#n307'>307</a>
<a id='n308' href='#n308'>308</a>
<a id='n309' href='#n309'>309</a>
<a id='n310' href='#n310'>310</a>
<a id='n311' href='#n311'>311</a>
<a id='n312' href='#n312'>312</a>
<a id='n313' href='#n313'>313</a>
<a id='n314' href='#n314'>314</a>
<a id='n315' href='#n315'>315</a>
<a id='n316' href='#n316'>316</a>
<a id='n317' href='#n317'>317</a>
<a id='n318' href='#n318'>318</a>
<a id='n319' href='#n319'>319</a>
<a id='n320' href='#n320'>320</a>
<a id='n321' href='#n321'>321</a>
<a id='n322' href='#n322'>322</a>
<a id='n323' href='#n323'>323</a>
<a id='n324' href='#n324'>324</a>
<a id='n325' href='#n325'>325</a>
<a id='n326' href='#n326'>326</a>
<a id='n327' href='#n327'>327</a>
<a id='n328' href='#n328'>328</a>
<a id='n329' href='#n329'>329</a>
<a id='n330' href='#n330'>330</a>
<a id='n331' href='#n331'>331</a>
<a id='n332' href='#n332'>332</a>
<a id='n333' href='#n333'>333</a>
<a id='n334' href='#n334'>334</a>
<a id='n335' href='#n335'>335</a>
<a id='n336' href='#n336'>336</a>
<a id='n337' href='#n337'>337</a>
<a id='n338' href='#n338'>338</a>
<a id='n339' href='#n339'>339</a>
<a id='n340' href='#n340'>340</a>
<a id='n341' href='#n341'>341</a>
<a id='n342' href='#n342'>342</a>
<a id='n343' href='#n343'>343</a>
<a id='n344' href='#n344'>344</a>
<a id='n345' href='#n345'>345</a>
<a id='n346' href='#n346'>346</a>
<a id='n347' href='#n347'>347</a>
<a id='n348' href='#n348'>348</a>
<a id='n349' href='#n349'>349</a>
<a id='n350' href='#n350'>350</a>
<a id='n351' href='#n351'>351</a>
<a id='n352' href='#n352'>352</a>
<a id='n353' href='#n353'>353</a>
<a id='n354' href='#n354'>354</a>
<a id='n355' href='#n355'>355</a>
<a id='n356' href='#n356'>356</a>
<a id='n357' href='#n357'>357</a>
<a id='n358' href='#n358'>358</a>
<a id='n359' href='#n359'>359</a>
<a id='n360' href='#n360'>360</a>
<a id='n361' href='#n361'>361</a>
<a id='n362' href='#n362'>362</a>
<a id='n363' href='#n363'>363</a>
<a id='n364' href='#n364'>364</a>
<a id='n365' href='#n365'>365</a>
<a id='n366' href='#n366'>366</a>
<a id='n367' href='#n367'>367</a>
<a id='n368' href='#n368'>368</a>
<a id='n369' href='#n369'>369</a>
<a id='n370' href='#n370'>370</a>
<a id='n371' href='#n371'>371</a>
<a id='n372' href='#n372'>372</a>
<a id='n373' href='#n373'>373</a>
<a id='n374' href='#n374'>374</a>
<a id='n375' href='#n375'>375</a>
<a id='n376' href='#n376'>376</a>
<a id='n377' href='#n377'>377</a>
<a id='n378' href='#n378'>378</a>
<a id='n379' href='#n379'>379</a>
<a id='n380' href='#n380'>380</a>
<a id='n381' href='#n381'>381</a>
<a id='n382' href='#n382'>382</a>
<a id='n383' href='#n383'>383</a>
<a id='n384' href='#n384'>384</a>
<a id='n385' href='#n385'>385</a>
<a id='n386' href='#n386'>386</a>
<a id='n387' href='#n387'>387</a>
<a id='n388' href='#n388'>388</a>
<a id='n389' href='#n389'>389</a>
<a id='n390' href='#n390'>390</a>
<a id='n391' href='#n391'>391</a>
<a id='n392' href='#n392'>392</a>
<a id='n393' href='#n393'>393</a>
<a id='n394' href='#n394'>394</a>
<a id='n395' href='#n395'>395</a>
<a id='n396' href='#n396'>396</a>
<a id='n397' href='#n397'>397</a>
<a id='n398' href='#n398'>398</a>
<a id='n399' href='#n399'>399</a>
<a id='n400' href='#n400'>400</a>
<a id='n401' href='#n401'>401</a>
<a id='n402' href='#n402'>402</a>
<a id='n403' href='#n403'>403</a>
<a id='n404' href='#n404'>404</a>
<a id='n405' href='#n405'>405</a>
<a id='n406' href='#n406'>406</a>
<a id='n407' href='#n407'>407</a>
<a id='n408' href='#n408'>408</a>
<a id='n409' href='#n409'>409</a>
<a id='n410' href='#n410'>410</a>
<a id='n411' href='#n411'>411</a>
<a id='n412' href='#n412'>412</a>
<a id='n413' href='#n413'>413</a>
<a id='n414' href='#n414'>414</a>
<a id='n415' href='#n415'>415</a>
<a id='n416' href='#n416'>416</a>
<a id='n417' href='#n417'>417</a>
<a id='n418' href='#n418'>418</a>
<a id='n419' href='#n419'>419</a>
<a id='n420' href='#n420'>420</a>
<a id='n421' href='#n421'>421</a>
<a id='n422' href='#n422'>422</a>
<a id='n423' href='#n423'>423</a>
<a id='n424' href='#n424'>424</a>
<a id='n425' href='#n425'>425</a>
<a id='n426' href='#n426'>426</a>
<a id='n427' href='#n427'>427</a>
<a id='n428' href='#n428'>428</a>
<a id='n429' href='#n429'>429</a>
<a id='n430' href='#n430'>430</a>
<a id='n431' href='#n431'>431</a>
<a id='n432' href='#n432'>432</a>
<a id='n433' href='#n433'>433</a>
<a id='n434' href='#n434'>434</a>
<a id='n435' href='#n435'>435</a>
<a id='n436' href='#n436'>436</a>
<a id='n437' href='#n437'>437</a>
<a id='n438' href='#n438'>438</a>
<a id='n439' href='#n439'>439</a>
<a id='n440' href='#n440'>440</a>
<a id='n441' href='#n441'>441</a>
<a id='n442' href='#n442'>442</a>
<a id='n443' href='#n443'>443</a>
<a id='n444' href='#n444'>444</a>
<a id='n445' href='#n445'>445</a>
<a id='n446' href='#n446'>446</a>
<a id='n447' href='#n447'>447</a>
<a id='n448' href='#n448'>448</a>
<a id='n449' href='#n449'>449</a>
<a id='n450' href='#n450'>450</a>
<a id='n451' href='#n451'>451</a>
<a id='n452' href='#n452'>452</a>
<a id='n453' href='#n453'>453</a>
<a id='n454' href='#n454'>454</a>
<a id='n455' href='#n455'>455</a>
<a id='n456' href='#n456'>456</a>
<a id='n457' href='#n457'>457</a>
<a id='n458' href='#n458'>458</a>
<a id='n459' href='#n459'>459</a>
<a id='n460' href='#n460'>460</a>
<a id='n461' href='#n461'>461</a>
<a id='n462' href='#n462'>462</a>
<a id='n463' href='#n463'>463</a>
<a id='n464' href='#n464'>464</a>
<a id='n465' href='#n465'>465</a>
<a id='n466' href='#n466'>466</a>
<a id='n467' href='#n467'>467</a>
<a id='n468' href='#n468'>468</a>
<a id='n469' href='#n469'>469</a>
<a id='n470' href='#n470'>470</a>
<a id='n471' href='#n471'>471</a>
<a id='n472' href='#n472'>472</a>
<a id='n473' href='#n473'>473</a>
<a id='n474' href='#n474'>474</a>
<a id='n475' href='#n475'>475</a>
<a id='n476' href='#n476'>476</a>
<a id='n477' href='#n477'>477</a>
<a id='n478' href='#n478'>478</a>
<a id='n479' href='#n479'>479</a>
<a id='n480' href='#n480'>480</a>
<a id='n481' href='#n481'>481</a>
<a id='n482' href='#n482'>482</a>
<a id='n483' href='#n483'>483</a>
<a id='n484' href='#n484'>484</a>
<a id='n485' href='#n485'>485</a>
<a id='n486' href='#n486'>486</a>
<a id='n487' href='#n487'>487</a>
<a id='n488' href='#n488'>488</a>
<a id='n489' href='#n489'>489</a>
<a id='n490' href='#n490'>490</a>
<a id='n491' href='#n491'>491</a>
<a id='n492' href='#n492'>492</a>
<a id='n493' href='#n493'>493</a>
<a id='n494' href='#n494'>494</a>
<a id='n495' href='#n495'>495</a>
<a id='n496' href='#n496'>496</a>
<a id='n497' href='#n497'>497</a>
<a id='n498' href='#n498'>498</a>
<a id='n499' href='#n499'>499</a>
<a id='n500' href='#n500'>500</a>
<a id='n501' href='#n501'>501</a>
<a id='n502' href='#n502'>502</a>
<a id='n503' href='#n503'>503</a>
<a id='n504' href='#n504'>504</a>
<a id='n505' href='#n505'>505</a>
<a id='n506' href='#n506'>506</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span># $LynxId: makefile.in,v 1.157 2016/09/10 11:22:22 tom Exp $
##makefile for lynx

SHELL		= @CONFIG_SHELL@
CDPATH		= .

.SUFFIXES:
@SET_MAKE@
prefix		= @prefix@
exec_prefix	= @exec_prefix@
top_srcdir	= @top_srcdir@
srcdir		= @srcdir@
builddir	= .
VPATH		= $(srcdir)

CC		= @CC@
CFLAGS		= @CFLAGS@
DEFS		= @DEFS@
CPPFLAGS	= @CPPFLAGS@
LINT		= @LINT@
ETAGS		= @ETAGS@

BUILD_CC	= @BUILD_CC@
BUILD_CPP	= @BUILD_CPP@
BUILD_CFLAGS	= @BUILD_CFLAGS@
BUILD_CPPFLAGS	= @BUILD_CPPFLAGS@ @DEFS@
BUILD_EXEEXT	= @BUILD_EXEEXT@
BUILD_LDFLAGS	= @BUILD_LDFLAGS@
BUILD_LIBS	= @BUILD_LIBS@

x		= @EXEEXT@
o		= .@OBJEXT@

LDFLAGS		= @EXTRA_LDFLAGS@ @LDFLAGS@
LIBS		= @LIBS@

INSTALL		= @INSTALL@
INSTALL_PROGRAM	= @INSTALL_PROGRAM@
INSTALL_DATA	= @INSTALL_DATA@
transform	= @program_transform_name@

LN_S		= @LN_S@

TAR		= @TAR@
TAR_UP		= $(TAR) @TAR_UP_OPTIONS@ @TAR_PIPE_OPTIONS@
TAR_DOWN	= $(TAR) @TAR_DOWN_OPTIONS@ @TAR_PIPE_OPTIONS@

# $Format: &quot;LYNX_VERSION	= $ProjectVersion$&quot;$
LYNX_VERSION	= 2.8.9dev.10

## This is the version which we are developing (or, upon release, make this
## the same).  Use no dots in the name, since it must work on VMS and MS-DOS.
VERSION		= 2-8-8

##this is the name of the directory the lynx source code is in.
##(e.g., lynx2-8-8, not the full path)
lynxdir= lynx$(VERSION)
lynxname= lynx$(VERSION)

## The &#39;DESTDIR&#39; variable allows you to install the program into a different
## location, e.g., for packaging, without affecting the compiled-in pathnames.
DESTDIR= @DESTDIR@

## Where you want lynx installed
bindir= @bindir@
BINDIR= $(DESTDIR)$(bindir)

## Where you want the lynx man file installed
mandir= @mandir@/man1
MANDIR= $(DESTDIR)$(mandir)

## Where you want the lynx.cfg file installed
sysconfdir= @sysconfdir@
SYSCONFDIR= $(DESTDIR)$(sysconfdir)

## Where you want the doc-files installed
datarootdir= @datarootdir@
docdir    = @datadir@/lynx_doc
DOCDIR    = $(DESTDIR)$(docdir)

## Where you want the help-files installed
helpdir   = @datadir@/lynx_help
HELPDIR   = $(DESTDIR)$(helpdir)

##set the relative location of the WWW library Implementation directory,
##from this directory
##do not set this to be an absolute path!!!
WWW_DIR   = $(builddir)/WWW/Library/Implementation

##set the relative location of the message-file directory
##do not set this to be an absolute path!!!
PO_DIR    = $(builddir)/po
PO_SRCDIR = $(srcdir)/po

##set the relative location of the main source-directory
##do not set this to be an absolute path!!!
SRC_DIR   = $(builddir)/src

##set the relative location of the character-translation data directory
##do not set this to be an absolute path!!!
CHR_DIR   = $(SRC_DIR)/chrtrans

## Path to gzip that will compress the help files.
## It will be used when --enable-gzip-help is set by configure.
## Leave *both* empty if you don&#39;t want to gzip help files.
COMPRESS_PROG=@COMPRESS_PROG@
COMPRESS_EXT=@COMPRESS_EXT@

# Path of scripts directory
scripts_dir=$(srcdir)/scripts

MAKE_RECUR = $(MAKE) @cf_cv_makeflags@ DESTDIR=&quot;$(DESTDIR)&quot; CC=&quot;$(CC)&quot;

@LYNXCFG_MAKE@CFG2HTML = alphatoc.html body.html cattoc.html

# !!!!!!!!!!! SUN resolv LIBRARY !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# To include resolv in the LIBS=&quot;&quot; list for SUN 3, 4 or Solaris OS,
# point RESOLVLIB to that library.  You need this if you get the message
# &quot;Alert!:  Unable to connect to remote host&quot; whenever you try to
# access a host other than localhost and have made Lynx without it.
# See the PROBLEMS file for more information.
#RESOLVLIB= -lresolv

# !!!!!!!!!!!!!  DIRECT WAIS ACCESS !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# If you are adding direct wais access you must fill in the
# location of wais.a, client.a and the standard math library, libm.a.
# You can pick up the most current freeWAIS sources from
#	ftp://ftp.cnidr.org/pub/NIDR.tools/freewais
# If you are using freeWAIS-0.202 or older, include -DDECLARE_WAIS_LOGFILES
# in your SITE_DEFS.
# Please put an ABSOLUTE address here if you want it to work!
#WAISLIB= ../../freeWAIS-0.202/bin/client.a ../../freeWAIS-0.202/bin/wais.a /usr/lib/libm.a

# !!!!!!!!!!!!! SLANG Support (For color version of Lynx). !!!!!!!!!!!!!!!!
# The slang library is an alternative to curses, developed by John E. Davis
# (davis@space.mit.edu).  Version 0.99-27 or higher is available from
#	ftp://space.mit.edu/pub/davis
# It provides color support for Lynx.

# !!!!!!!!!!!!! NCURSES Support (For color version of Lynx). !!!!!!!!!!!!!!
# If you need ncurses, the latest version can always be found
# in ftp://invisible-island.net/ncurses/
# or ftp://ftp.gnu.org/pub/gnu/

# Also be sure to check out the compilation symbols in userdefs.h
# before building Lynx!

# If you apply patches which require linking to site-specific libraries, set
# SITE_LIBS to those libraries.
SITE_LIBS= # Your libraries here

# Set SITE_LYDEFS to one or more of the defines for the WWW Library:
SITE_LYDEFS = # Your defines here

# Set SITE_DEFS to one or more of the defines for lynx below:
SITE_DEFS = # Your defines here

# defines for which there are no configure options:
# -DHP_TERMINAL    For DIM workaround to REVERSE problems on HP terminals.
# -DIGNORE_CTRL_C  Define if Control-C shouldn&#39;t exit lynx.
# -DNO_RULES       Disables CERN-style access rules (see lynx.cfg).
# -DMISC_EXP       Enable some truly experimental stuff
# -DSHORTENED_RBIND  For a SOCKSified lynx with the short version of Rbind.
# -DSLANG_MBCS_HACK prevent cutoff lines when using UTF8 console (slang only)
# -DUSE_VASPRINT   Use vasprintf() function
#
# if you are linking to freeWAIS-0.202 or older, you should define this
# in SITE_DEFS
#
# -DDECLARE_WAIS_LOGFILES
#
# if you have the reverse clear screen problem of some SUN4 systems you
# should define this in SITE_DEFS
#
# -DREVERSE_CLEAR_SCREEN_PROBLEM
#
# if you have an SVR4 system with the &quot;type any key&quot; problem, try defining
# this in LYFLAGS (SITE_LYDEFS) and SITE_DEFS
#
# -DSVR4_BSDSELECT
#
# Old Data General systems may need this in their SITE_LYDEFS
# for their inet_addr(host) calls.
#
# -DDGUX_OLD

# Many other defines have configure options  (see INSTALLATION, Section II-1c.):
#
# for installation of local execution links, please see the file userdefs.h

WWW_CFLAGS = \
	LY_CFLAGS=&quot;$(CFLAGS)&quot; \
	CPPFLAGS=&quot;$(CPPFLAGS)&quot; \
	LYFLAGS=&quot;$(SITE_LYDEFS)&quot;

CHR_CFLAGS = \
	SITE_DEFS=&quot;$(SITE_DEFS)&quot; \
	BUILD_CFLAGS=&quot;$(BUILD_CFLAGS)&quot; \
	BUILD_CPPFLAGS=&quot;$(BUILD_CPPFLAGS)&quot; \
	BUILD_LDFLAGS=&quot;$(BUILD_LDFLAGS)&quot; \
	BUILD_LIBS=&quot;$(BUILD_LIBS)&quot; \
	BUILD_CC=&quot;$(BUILD_CC)&quot;

SRC_CFLAGS = \
	CFLAGS=&quot;$(CFLAGS)&quot; \
	CPPFLAGS=&quot;$(CPPFLAGS)&quot; \
	LDFLAGS=&quot;$(LDFLAGS)&quot; \
	LIBS=&quot;$(LIBS) $(RESOLVLIB) $(WAISLIB) $(SITE_LIBS)&quot; \
	SITE_DEFS=&quot;$(SITE_DEFS)&quot; \
	WWWINC=$(WWW_DIR) \
	WWWLIB=&quot;../$(WWW_DIR)/libwww.a&quot;

actual_PROG  = `echo lynx|    sed &#39;$(transform)&#39;`
binary_PROG  = $(actual_PROG)$x

all lynx$x: cfg_defs.h LYHelp.h
@MSG_DIR_MAKE@	$(SHELL) $(scripts_dir)/fixtext.sh $(srcdir)/LYMessages_en.h &gt;LYMessages.c
@MSG_DIR_MAKE@	cd $(PO_DIR) &amp;&amp; $(MAKE_RECUR)
	cd $(WWW_DIR) &amp;&amp; $(MAKE_RECUR) $(WWW_CFLAGS)
	cd $(CHR_DIR) &amp;&amp; $(MAKE_RECUR) all $(CHR_CFLAGS)
	cd $(SRC_DIR) &amp;&amp; $(MAKE_RECUR) all $(SRC_CFLAGS)

lint:
	cd $(WWW_DIR) &amp;&amp; $(MAKE_RECUR) LINT=&quot;$(LINT)&quot; $(WWW_CFLAGS) $@
	cd $(SRC_DIR) &amp;&amp; $(MAKE_RECUR) LINT=&quot;$(LINT)&quot; $(SRC_CFLAGS) $@
	cd $(CHR_DIR) &amp;&amp; $(MAKE_RECUR) LINT=&quot;$(LINT)&quot; $@

tags:
	cd $(WWW_DIR) &amp;&amp; $(MAKE_RECUR) $(WWW_CFLAGS) $@
	cd $(SRC_DIR) &amp;&amp; $(MAKE_RECUR) $(SRC_CFLAGS) $@
	cd $(CHR_DIR) &amp;&amp; $(MAKE_RECUR) $@

etags:
	$(ETAGS) *.[ch] */*.[ch] */*/*.[ch] */*/*/*.[ch]

help:
	@echo
	@echo &quot;Please run make with one of the following arguments&quot;
	@echo &quot;all        -- to make the executable, put it in this directory&quot;
	@echo &quot;clean      -- removes all &#39;$o&#39; and &#39;core&#39; files&quot;
	@echo &quot;distclean  -- removes all generated files&quot;
	@echo &quot;depend     -- use makedepend to generate header-dependencies&quot;
	@echo

##Miscellaneous actions
clean:
	rm -f WWW/Library/*/*.[aoib]
	rm -f WWW/Library/*/.created
	cd $(WWW_DIR) &amp;&amp; $(MAKE_RECUR) $@
	cd $(SRC_DIR) &amp;&amp; $(MAKE_RECUR) $@
@MSG_DIR_MAKE@	rm -f LYMessages.c
@MSG_DIR_MAKE@	cd $(PO_DIR) &amp;&amp; $(MAKE_RECUR) $@
	rm -f *.b $(SRC_DIR)/lynx$x *.leaks cfg_defs.h LYHelp.h lint.*
@LYNXCFG_MAKE@	-rm -f $(CFG2HTML)
	rm -f help_files.sed
	rm -f core *.core

depend: cfg_defs.h LYHelp.h
	cd $(WWW_DIR) &amp;&amp; $(MAKE_RECUR) $@
	cd $(SRC_DIR) &amp;&amp; $(MAKE_RECUR) $@

distclean: clean
	-rm -f WWW/Library/*/*~
	-rm -f WWW/Library/*/*.bak
	-rm -rf $(SRC_DIR)/obsolete
	-cd $(WWW_DIR) &amp;&amp; $(MAKE_RECUR) $@
	-cd $(SRC_DIR) &amp;&amp; $(MAKE_RECUR) $@
	-cd $(CHR_DIR) &amp;&amp; $(MAKE_RECUR) $@
@MSG_DIR_MAKE@	cd $(PO_DIR) &amp;&amp; $(MAKE_RECUR) $@
@MSG_DIR_MAKE@	-rmdir $(PO_DIR)
	-rm -f *~ *.bak *.sav tags TAGS
	-rm -f $(WWW_DIR)/makefile $(SRC_DIR)/makefile $(CHR_DIR)/makefile
@SRCDIR_CLEAN@	-rmdir $(WWW_DIR) &amp;&amp; rmdir WWW/Library &amp;&amp; rmdir WWW
@SRCDIR_CLEAN@	-rmdir $(CHR_DIR) &amp;&amp; rmdir $(SRC_DIR)
	-rm -f makefile lynx_cfg.h config.status config.log config.cache
	-rm -f lynx$x

maintainer-clean: distclean
	-find . -type f -name &#39;*.rej&#39; -exec rm -f {} \;
	-find . -type f -name &#39;*.orig&#39; -exec rm -f {} \;
	-rm -rf WWW/Library/*/obsolete
	-rm -f Lynx.prj .*_aux

# Directory containing reference source for patch generation,
#     either absolute or relative to $(top_srcdir)/..
REFDIR=orig/$(lynxdir)

lynx.patch: $(top_srcdir) $(top_srcdir)/CHANGES
	- cd $(top_srcdir)/.. &amp;&amp; cd $(REFDIR) &amp;&amp; { rm -f \
		config.log \
		config.status \
		lynx_cfg.h \
			; \
		for I in . $(SRC_DIR) $(WWW_DIR); do ( set +e; \
			( set -x; cd $$I &amp;&amp; rm -f *.orig *.rej makefile ); : ); \
		done; }
	( cd $(top_srcdir)/..; echo &quot;%%% Created `date` by target $@. %%%&quot;; \
	   if diff -bru /dev/null /dev/null;		     \
		   then diff -bru $(REFDIR) $(lynxdir);	     \
		   else diff -brc $(REFDIR) $(lynxdir); fi ) \
		| grep -v &#39;^Common&#39; \
		| grep -v &#39;^Binary files &#39; \
		| grep -v &#39;^Only &#39; | tee $@ | egrep &#39;^\-\-\- .*$(lynxdir)&#39;

install: install-bin install-man install-cfg @INSTALL_LSS@
	@echo
	@echo &quot;Use $(MAKE) install-help to install the help-files&quot;
	@echo &quot;Use $(MAKE) install-doc to install extra documentation files&quot;
	@echo

install-full: install install-help install-doc
	@echo Full installation complete.

install-bin: $(BINDIR) lynx$x
@MSG_DIR_MAKE@	cd $(PO_DIR) &amp;&amp; $(MAKE_RECUR) install
	@ECHO_CC@$(SHELL) -c \
	&#39;if test -f $(BINDIR)/$(binary_PROG) ; then \
	      mv -f $(BINDIR)/$(binary_PROG) $(BINDIR)/lynx.old; fi&#39;
	$(INSTALL_PROGRAM) lynx$x $(BINDIR)/$(binary_PROG)

install-man : $(MANDIR)
	$(INSTALL_DATA) $(srcdir)/lynx.man $(MANDIR)/$(actual_PROG).1

install-doc : $(DOCDIR) $(HELPDIR)
	@echo Copying sample files
	$(SHELL) -c &#39;\
		( umask 022; \
		  cd $(srcdir) &amp;&amp; \
		  $(TAR_UP) C[HO]* PROBLEMS README docs samples test ) | \
		( umask 022; \
		  cd $(DOCDIR) &amp;&amp; \
		  chmod -R u+w . &amp;&amp; $(TAR_DOWN) )&#39;
	$(SHELL) -c &#39;if test &quot;$(COMPRESS_PROG)&quot; != &quot;&quot; ; then \
		(cd $(DOCDIR) &amp;&amp; $(COMPRESS_PROG) -f docs/CHANGES*.[0-9] docs/*.announce ) \
	fi&#39;
	$(SHELL) -c &#39;for name in COPYING COPYHEADER; do \
		cd $(HELPDIR) &amp;&amp; rm -f $$name ;\
		r= ;\
		test &quot;$(LN_S)&quot; = &quot;ln -s&quot; || r=`echo $(helpdir)|sed -e &quot;s%[^/]\+%..%g&quot; -e &quot;s%^.%%&quot;`; \
		cd $(HELPDIR) &amp;&amp; ( $(LN_S) $$r$(docdir)/$$name . || cp $(DOCDIR)/$$name . );\
		done&#39;
	-$(SHELL) -c &#39;case `id|sed -e &quot;s/(.*//&quot;` in uid=0) chown -R root $(DOCDIR);; esac&#39;

# HPUX &#39;sed&#39; does not seem to like &#39;=&#39; as pattern delimiter.
# We cannot use &#39;%&#39; because it may appear in a URL.
# Andrew filesystem uses &#39;@&#39;.
# So we limit sed delimiters to &#39;!&#39; and &#39;%&#39;, depending on the expected text.
FIX_SED = tr &#39;=&#39; &#39;&quot;&#39;

LYNX_URL=&#39;http://lynx.invisible-island.net/release/breakout&#39;
LYNXDOCS_URL=&#39;$(LYNX_URL)/docs/&#39;
LYNXHELP_URL=&#39;$(LYNX_URL)/lynx_help/&#39;

@LYNXCFG_MAKE@$(CFG2HTML) :
@LYNXCFG_MAKE@	@echo &#39;Making htmlized lynx.cfg&#39;
@LYNXCFG_MAKE@	cd $(SRC_DIR) &amp;&amp; $(MAKE_RECUR) LYReadCFG.i
@LYNXCFG_MAKE@	@-rm -f $(CFG2HTML)
@LYNXCFG_MAKE@	sed -n -e &#39;/Config_Type  *Config_Table/,/{0, *0, *0}/ p&#39; $(SRC_DIR)/LYReadCFG.i | \
@LYNXCFG_MAKE@	sed  -e &#39;s/ *{ *&quot;\([^&quot;]*\)&quot;.*/\1/&#39; | \
@LYNXCFG_MAKE@	perl $(scripts_dir)/cfg2html.pl -ams $(srcdir)/lynx.cfg
@LYNXCFG_MAKE@	-rm -f $(SRC_DIR)/LYReadCFG.i

help_files.sed : makefile $(srcdir)/lynx_help/help_files.txt
	@echo Constructing sed-script $@
	@-rm -f $@ help_files.tmp
	@cat $(srcdir)/lynx_help/help_files.txt &gt; help_files.tmp
@LYNXDOC_MAKE@	@ECHO_CC@echo &#39;s!$(LYNXDOCS_URL)!file://$(docdir)/!g&#39; &gt;&gt; help_files.tmp
@LYNXCFG_MAKE@	@ECHO_CC@echo &#39;s!$(LYNXHELP_URL)alphatoc.html!alphatoc.html!g&#39; &gt;&gt; help_files.tmp
@LYNXCFG_MAKE@	@ECHO_CC@echo &#39;s!$(LYNXHELP_URL)cattoc.html!cattoc.html!g&#39; &gt;&gt; help_files.tmp
@LYNXCFG_MAKE@	@ECHO_CC@echo &#39;s!alphatoc\.html!alphatoc.html$(COMPRESS_EXT)!g&#39; &gt;&gt; help_files.tmp
@LYNXCFG_MAKE@	@ECHO_CC@echo &#39;s!cattoc\.html!cattoc.html$(COMPRESS_EXT)!g&#39; &gt;&gt; help_files.tmp
@LYNXCFG_MAKE@	@ECHO_CC@echo &#39;s!body\.html!body.html$(COMPRESS_EXT)!g&#39; &gt;&gt; help_files.tmp
	@ECHO_CC@sed	-e &#39;/^#/d&#39; -e &#39;/^$$/d&#39; \
		-e &#39;s%\(.*\)=\(.*\@.*\)$$%s=@\1@=\2=g%&#39; \
		-e &#39;s%\(.*\)=\(http:.*\)$$%s=@\1@=\2=g%&#39; \
		-e &#39;s%\(.*\)=\(ftp:.*\)$$%s=@\1@=\2=g%&#39; \
		-e &#39;s%\(.*\)=\(.*\.html\)$$%s=@\1@=\2$(COMPRESS_EXT)=g%&#39; \
		help_files.tmp | $(FIX_SED) &gt; $@
	@echo Appending interim-fix for existing html files to $@
	@ECHO_CC@sed	-e &#39;/^#/d&#39; -e &#39;/[:@]/d&#39; -e &#39;/^$$/d&#39; \
		-e &#39;s%\(.*\)=\(.*\.html\)$$%s=\2=\2$(COMPRESS_EXT)=g%&#39; \
		-e &#39;s%\.html=%\\.html=%&#39; \
		help_files.tmp | $(FIX_SED) &gt;&gt; $@
	@ECHO_CC@if test -n &quot;$(COMPRESS_EXT)&quot;; then echo &quot;s%\\(\$(COMPRESS_EXT)\\)*\$(COMPRESS_EXT)%$(COMPRESS_EXT)%g&quot; &gt;&gt; $@; fi
	@-rm -f help_files.tmp

install-help : $(CFG2HTML) help_files.sed $(HELPDIR) $(SYSCONFDIR)
	-$(SHELL) -c &#39;if cd &quot;$(HELPDIR)&quot; ; then \
		WD=`pwd` ; \
		TAIL=`basename &quot;$(helpdir)&quot;` ; \
		HEAD=`echo &quot;$$WD&quot;|sed -e &quot;s,/$${TAIL}$$,,&quot;` ; \
		test &quot;x$$WD&quot; != &quot;x$$HEAD&quot; &amp;&amp; rm -fr * ; \
		fi&#39;
	test -d $(HELPDIR)/keystrokes || mkdir $(HELPDIR)/keystrokes
	@echo Translating/copying html files
@LYNXCFG_MAKE@	@$(SHELL) -c &#39;for f in $(CFG2HTML) ; do \
@LYNXCFG_MAKE@		sed -f help_files.sed $$f &gt; $(HELPDIR)/$$f ; \
@LYNXCFG_MAKE@		done&#39;
	@ECHO_CC@$(SHELL) -c &#39;sed_prog=`pwd`/help_files.sed &amp;&amp; \
		cd $(srcdir)/lynx_help &amp;&amp; \
		dirs=keystrokes &amp;&amp; \
		files=&quot;*.html */*.html&quot; &amp;&amp; \
		for f in $$files ; do \
			sed -f $$sed_prog $$f &gt; $(HELPDIR)/$$f ; \
		done &amp;&amp; \
		if test &quot;$(COMPRESS_PROG)&quot; != &quot;&quot; ; then \
			(cd $(HELPDIR) &amp;&amp; $(COMPRESS_PROG) $$files ) \
		fi&#39;
	@echo Updating $(sysconfdir)/lynx.cfg
	@ECHO_CC@$(SHELL) -c \
	&#39;if test -f $(SYSCONFDIR)/lynx.cfg ; then \
		mv $(SYSCONFDIR)/lynx.cfg $(SYSCONFDIR)/lynx.tmp ; \
	else \
		cp $(srcdir)/lynx.cfg $(SYSCONFDIR)/lynx.tmp ; \
	fi&#39;
	@echo Updating $(sysconfdir)/lynx.cfg to point to installed help-files
	@ECHO_CC@sed	-e &#39;/^HELPFILE:http/s!^!#!&#39; \
		-e &#39;/^#HELPFILE:file/s!#!!&#39; \
		$(SYSCONFDIR)/lynx.tmp | \
	$(SHELL) $(scripts_dir)/cfg_path.sh lynx_help $(helpdir) | \
	$(SHELL) $(scripts_dir)/cfg_path.sh lynx_doc  $(helpdir) | \
	sed	-e &#39;/^HELPFILE:file/s!$$!$(COMPRESS_EXT)!&#39; \
		-e &#39;/^HELPFILE:file/s!$(COMPRESS_EXT)$(COMPRESS_EXT)$$!$(COMPRESS_EXT)!&#39; \
		&gt;$(SYSCONFDIR)/lynx.cfg
	chmod 644 $(SYSCONFDIR)/lynx.cfg
	-rm -f $(SYSCONFDIR)/lynx.tmp

LYHelp.h : help_files.sed $(srcdir)/LYHelp.hin
	@echo Creating $@
	@sed -f help_files.sed $(srcdir)/LYHelp.hin &gt; $@
	@echo &#39;**********************************************&#39;
	@echo
	@$(SHELL) -c &#39;if test &quot;$(COMPRESS_PROG)&quot; = &quot;&quot; ; then \
		echo &quot;       Help files will NOT be gzipped.&quot;; \
	else \
		echo &quot;       Help links point to compressed files&quot;; \
		echo &quot;       To access them properly you have to type&quot;; \
		echo &quot;                 make install-help&quot;; \
	fi&#39;
	@echo
	@echo &#39;**********************************************&#39;

cfg_defs.h : $(scripts_dir)/cfg_defs.sh $(scripts_dir)/cfg_edit.sh config.cache lynx_cfg.h
	@rm -f $@
	$(SHELL) -c &#39;SHELL=$(SHELL) $(SHELL) $(scripts_dir)/cfg_defs.sh $(srcdir)&#39;

install-cfg : $(SYSCONFDIR)
	@$(SHELL) $(scripts_dir)/install-cfg.sh &quot;$(INSTALL_DATA)&quot; $(srcdir)/lynx.cfg $(SYSCONFDIR)/lynx.cfg

install-lss : $(SYSCONFDIR)
	@$(SHELL) $(scripts_dir)/install-lss.sh &quot;$(INSTALL_DATA)&quot; $(srcdir)/samples/lynx.lss $(SYSCONFDIR)/lynx.lss

uninstall ::
@MSG_DIR_MAKE@	cd $(PO_DIR) &amp;&amp; $(MAKE_RECUR) uninstall
	-rm -f $(BINDIR)/$(binary_PROG)
	-rm -f $(MANDIR)/$(actual_PROG).1
	-rm -f $(SYSCONFDIR)/lynx.cfg
	-rm -f $(SYSCONFDIR)/lynx.lss

uninstall \
uninstall-help ::
	-$(SHELL) -c &#39;if test -d &quot;$(HELPDIR)&quot; ; then \
		WD=`cd &quot;$(HELPDIR)&quot; &amp;&amp; pwd` ; \
		TAIL=`basename &quot;$(helpdir)&quot;` ; \
		HEAD=`echo &quot;$$WD&quot;|sed -e &quot;s,/$${TAIL}$$,,&quot;` ; \
		test &quot;x$$WD&quot; != &quot;x$$HEAD&quot; &amp;&amp; rm -rf &quot;$(HELPDIR)&quot;; \
		fi&#39;

uninstall \
uninstall-doc ::
	-$(SHELL) -c &#39;if test -d &quot;$(DOCDIR)&quot; ; then \
		WD=`cd &quot;$(DOCDIR)&quot; &amp;&amp; pwd` ; \
		TAIL=`basename &quot;$(docdir)&quot;` ; \
		HEAD=`echo &quot;$$WD&quot;|sed -e &quot;s,/$${TAIL}$$,,&quot;` ; \
		test &quot;x$$WD&quot; != &quot;x$$HEAD&quot; &amp;&amp; rm -rf &quot;$(DOCDIR)&quot;; \
		fi&#39;
	-$(SHELL) -c &#39;if test -d &quot;$(HELPDIR)&quot; ; then \
		WD=`cd &quot;$(HELPDIR)&quot; &amp;&amp; pwd` ; \
		TAIL=`basename &quot;$(helpdir)&quot;` ; \
		HEAD=`echo &quot;$$WD&quot;|sed -e &quot;s,/&#39;$${TAIL}&#39;$$,,&quot;` ; \
		test &quot;x$$WD&quot; != &quot;x$$HEAD&quot; ; \
		cd &quot;$(HELPDIR)&quot; &amp;&amp; rm -f COPYING COPYHEADER ; \
		fi&#39;

update-po:
	rsync -Lrtvz  translationproject.org::tp/latest/lynx/  $(PO_SRCDIR)
	test -f $(PO_SRCDIR)/makefile &amp;&amp; cd $(PO_SRCDIR) &amp;&amp; $(MAKE_RECUR) $@

preinstall :
	@ echo &#39;&#39;
	@ echo &#39;** Configuration summary for LYNX $(LYNX_VERSION):&#39;
	@ echo &#39;&#39;
	@ echo &#39;       program name: &#39;$(actual_PROG)
	@ echo &#39;&#39;
	@ echo &#39;      bin directory: &#39;$(BINDIR)
	@ echo &#39;   config directory: &#39;$(SYSCONFDIR)
	@ echo &#39;      man directory: &#39;$(MANDIR)
	@ echo &#39;     help directory: &#39;$(HELPDIR)
	@ echo &#39;      doc directory: &#39;$(DOCDIR)

$(BINDIR) \
$(MANDIR) \
$(SYSCONFDIR) \
$(HELPDIR) \
$(DOCDIR) :
	mkdir -p $@
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2024-12-11 15:25:48 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
